List models
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"ml_repo_id": "<string>",
"name": "<string>",
"fqn": "<string>",
"created_by_subject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"type": "model",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"latest_version": {
"manifest": {
"metadata": {},
"type": "model-version",
"source": {
"type": "truefoundry",
"uri": "<string>"
},
"step": 0,
"name": "<string>",
"ml_repo": "<string>",
"version": 2,
"description": "<string>",
"version_alias": "<string>",
"framework": {
"type": "transformers",
"library_name": "transformers",
"pipeline_tag": null,
"base_model": null
},
"environment": {
"python_version": "<string>",
"pip_packages": [
"<string>"
]
},
"run_id": "<string>"
},
"id": "<string>",
"fqn": "<string>",
"created_by_subject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"ml_repo_id": "<string>",
"model_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"usage_code_snippet": "<string>",
"tags": [],
"metrics": [
{
"key": "<string>",
"value": 123,
"timestamp": 123,
"step": 123
}
],
"deployable": false
},
"run_steps": [
123
]
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}Models
List models
List models with optional filtering by FQN, ML Repo, name, or run ID.
GET
/
api
/
svc
/
v1
/
models
List models
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Number of items per page
Required range:
1 <= x <= 1000Example:
10
Number of items to skip
Required range:
x >= 0Example:
0
Filter models by Fully Qualified Name.
Filter models by ML Repo identifier.
Filter models by name.
Filter models by associated run identifier.
Whether to include models that have no versions.
Was this page helpful?
⌘I